CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
csl::SpeakerSet Class Reference

Groups two or three loudspeakers, and their inverse. Used for VBAP computations. More...

`#include <VBAP.h>`

List of all members.

## Public Member Functions
| SpeakerSet (unsigned size=3)
| ~SpeakerSet ()
void | dump ()
| just print friendly info about the triplet

## Public Attributes
unsigned * | nodes
| the index for each of the three speakers that represent the triplet
CSLMatrix * | invL
| pre-computed inverse matrix for this triplet

## Detailed Description

Groups two or three loudspeakers, and their inverse. Used for VBAP computations.

Definition at line 117 of file VBAP.h.

## Constructor & Destructor Documentation

SpeakerSet::SpeakerSet | ( | unsigned | size = `3` | ) |

Definition at line 40 of file VBAP.cpp.

References nodes.

SpeakerSet::~SpeakerSet | ( |  | ) |

Definition at line 45 of file VBAP.cpp.

References nodes.

## Member Function Documentation

void SpeakerSet::dump | ( | void |  | ) |

just print friendly info about the triplet

Definition at line 50 of file VBAP.cpp.

References nodes.

Referenced by csl::SpeakerSetLayout::dump().

## Member Data Documentation

unsigned* csl::SpeakerSet::nodes

the index for each of the three speakers that represent the triplet

Definition at line 122 of file VBAP.h.

Referenced by dump(), csl::SpeakerSetLayout::findSpeakerPairs(), csl::SpeakerSetLayout::findSpeakerTriplets(), csl::SpeakerSetLayout::invertTripleMatrix(), csl::VBAP::nextBuffer(), SpeakerSet(), and ~SpeakerSet().

CSLMatrix* csl::SpeakerSet::invL

pre-computed inverse matrix for this triplet

Definition at line 123 of file VBAP.h.

Referenced by csl::SpeakerSetLayout::invertTripleMatrix().

The documentation for this class was generated from the following files:

- CSL/Spatializers/VBAP/VBAP.h
- CSL/Spatializers/VBAP/VBAP.cpp